Menü aufrufen
Toggle preferences menu
Persönliches Menü aufrufen
Nicht angemeldet
Ihre IP-Adresse wird öffentlich sichtbar sein, wenn Sie Änderungen vornehmen.

MediaWiki:Common.css: Unterschied zwischen den Versionen

MediaWiki-Schnittstellenseite
Keine Bearbeitungszusammenfassung
Markierung: Manuelle Zurücksetzung
Keine Bearbeitungszusammenfassung
Markierung: Zurückgesetzt
Zeile 1: Zeile 1:
/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */
/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */
h2, h3 {
// Margin-Anpassung für Überschriften
    margin-block-start: 0.5em;
mw.util.addCSS('h2, h3 { margin-block-start: 0.5em; }');
}
 
// Abschnitte standardmäßig einklappen
mw.hook('wikipage.content').add(function($content) {
    const headings = document.querySelectorAll('.citizen-section-heading');
    if (headings.length === 0) return;
   
    const sections = document.querySelectorAll('.citizen-section');
    sections.forEach(function(section, index) {
        if (index === 0) return;
        section.hidden = 'until-found';
    });
});

Version vom 23. Mai 2026, 11:29 Uhr

/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */
// Margin-Anpassung für Überschriften
mw.util.addCSS('h2, h3 { margin-block-start: 0.5em; }');

// Abschnitte standardmäßig einklappen
mw.hook('wikipage.content').add(function($content) {
    const headings = document.querySelectorAll('.citizen-section-heading');
    if (headings.length === 0) return;
    
    const sections = document.querySelectorAll('.citizen-section');
    sections.forEach(function(section, index) {
        if (index === 0) return;
        section.hidden = 'until-found';
    });
});